aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorpsykose <alice@ayaya.dev>2022-10-20 18:28:03 +0000
committerpsykose <alice@ayaya.dev>2022-10-20 20:28:10 +0200
commitec5aafca59adbc54492ddf70abe11e47e8e0f7c4 (patch)
treef3a6412978b4f40f7cda9943853e8445d253329a
parent3cf6a961d6a5c287945e34647ed34bec00ec5900 (diff)
downloadaports-ec5aafca59adbc54492ddf70abe11e47e8e0f7c4.tar.gz
aports-ec5aafca59adbc54492ddf70abe11e47e8e0f7c4.tar.bz2
aports-ec5aafca59adbc54492ddf70abe11e47e8e0f7c4.tar.xz
community/libvisio: fix check
-rw-r--r--community/libvisio/APKBUILD7
1 files changed, 5 insertions, 2 deletions
diff --git a/community/libvisio/APKBUILD b/community/libvisio/APKBUILD
index 7b705e8687..d691b0cfd1 100644
--- a/community/libvisio/APKBUILD
+++ b/community/libvisio/APKBUILD
@@ -8,6 +8,7 @@ url="https://wiki.documentfoundation.org/DLP/Libraries/libvisio"
arch="all"
license="MPL-2.0"
makedepends="doxygen gperf perl icu-dev librevenge-dev libxml2-dev"
+checkdepends="icu-data-full"
subpackages="$pkgname-dev $pkgname-doc $pkgname-tools"
source="https://dev-www.libreoffice.org/src/libvisio/libvisio-$pkgver.tar.xz"
@@ -33,7 +34,7 @@ build() {
}
check() {
- make check
+ make check || { cat src/test/test-suite.log; exit 1; }
}
package() {
@@ -44,4 +45,6 @@ tools() {
amove usr/bin
}
-sha512sums="c26f67a09fa6a6d0bf6f3fff5590d5cf16983630d4f7cfcf86d9461baec58dbdf7989fd934be6db0639ca043c160aac2d008275afb9e047766bc878ac579a9ea libvisio-0.1.7.tar.xz"
+sha512sums="
+c26f67a09fa6a6d0bf6f3fff5590d5cf16983630d4f7cfcf86d9461baec58dbdf7989fd934be6db0639ca043c160aac2d008275afb9e047766bc878ac579a9ea libvisio-0.1.7.tar.xz
+"